Subject: Re: [PATCH v2 3/5] list-objects-filter: use oidmap_clear_with_free() for cleanup

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Mar 2026 07:31:07 -0800

Patrick Steinhardt <[email-masked]> writes:

> Agreed. But I think with the current status quo I'd rather drop this
> patch though as it may otherwise make the reader scratch their head why
> we do the exercise in the first place.

I do not think too strongly either way myself, but you may be right.

Unless we are dropping the "we optionally let you free the shell"
traditional interface, it is of questionable value to use the new
interface.

Thanks.